<?php
require_once("config.inc.php");

function func_besschnitt($wert) {
  
    $db = dbconnect();
    $result_truncate = $db->query("TRUNCATE TABLE prog_tmp_besschnitt");
    
    #$heute_format = date("Y", mktime(0, 0, 0, 0, 0, date("Y")));  // ISO-8601 Format wie in der Datenbank: Formatierung f&uuml;r Vergleiche erforderlich
    # Der erste Wert wird vorgegeben
    $result_min = $db->query("SELECT min(jahr) jahr
                                FROM prog_besschnitt");
    $row_min = $result_min->fetch_array();
    
    # Wann geht der letzte Prof in Ruhestand
    $result_max = $db->query("SELECT max(date_format(weggang,'%Y')) weggang
                                FROM prog_tmp_professor");
    $row_max = $result_max->fetch_array();
    
    
    for($i=$row_min['jahr'];$i<=$row_max['weggang'];$i++){
#echo "$i<br>";
      $result_wert = $db->query("SELECT bssid, wert
                                   FROM prog_besschnitt
                                  WHERE jahr=$i");
      $row_wert = $result_wert->fetch_array();
      
      if($row_wert['wert'] != ''){
        # Wenn der Wert [M]anuell erfasst wurde
        
        $betrag = $row_wert['wert'];
#        echo "INSERT INTO prog_tmp_besschnitt (jahr, wert, art) VALUES ('$i', '$betrag', 'B')<br>";
        $result2 = $db->query("INSERT INTO prog_tmp_besschnitt (bssid, jahr, wert, art) VALUES ('$row_wert[bssid]', '$i', '$betrag', 'B')");
      }else{
        # Fiktiver Wert
        $vorjahr = $i-1;
#echo "$vorjahr<br>";
        $result_wert_vj = $db->query("SELECT wert
	                                FROM prog_tmp_besschnitt
	                               WHERE jahr=$vorjahr");
        $row_wert_vj = $result_wert_vj->fetch_array();
        
        $betrag2 = $row_wert_vj['wert'];
        #$prozent = $betrag2*$prozentsatz/100;
        #$betrag2 = $betrag2+$prozent;
        $betrag2 = $betrag2+$wert;
#echo "$betrag2<br>";
        $result2 = $db->query("INSERT INTO prog_tmp_besschnitt (bssid, jahr, wert, art) VALUES ('0', '$i', '$betrag2', 'F')");
      }
    }
    
    
    
   
}

#func_besschnitt(2);
?>